Page MenuHomePhabricator

Efl.Ui.Vg_Animation: Implaments Efl.Playable interface
ClosedPublic

Authored by jsuya on Dec 22 2019, 11:47 PM.

Details

Summary

Change API
.duration_time => Efl.Playable.length.get

ref T8476
Depends on D10939

Test Plan

N/A

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
jsuya created this revision.Dec 22 2019, 11:47 PM
jsuya requested review of this revision.Dec 22 2019, 11:47 PM
segfaultxavi requested changes to this revision.Dec 27 2019, 2:26 AM

Looks fine, but please implement also Efl.Playable.playable and Efl.Playable.seekable. They simply return EINA_TRUE.

This revision now requires changes to proceed.Dec 27 2019, 2:26 AM
jsuya updated this revision to Diff 27862.Dec 29 2019, 8:48 PM

update commit

  • implement Efl.Playable.playable.get and Efl.Playable.seekable.get
segfaultxavi accepted this revision.Dec 30 2019, 7:07 AM

Looks fine to me!

This revision is now accepted and ready to land.Dec 30 2019, 7:07 AM
zmike accepted this revision.Dec 30 2019, 8:19 AM
This revision was automatically updated to reflect the committed changes.